Project Chrono: chrono::vehicle::ChAutomaticTransmissionShafts Class Reference

Public Member Functions | Protected Member Functions | List of all members
chrono::vehicle::ChAutomaticTransmissionShafts Class Referenceabstract
VEHICLE module » Powertrain system

## Description

Template for an automatic transmission model using shaft elements.

This transmission template includes a torque converter and a manumatic gearbox.

`#include <ChAutomaticTransmissionShafts.h>`

Inheritance diagram for chrono::vehicle::ChAutomaticTransmissionShafts:
[legend]

## Public Member Functions
| ChAutomaticTransmissionShafts (const std::string &name)
| Construct a shafts-based automatic transmission model.
virtual std::string | GetTemplateName () const override
| Get the name of the vehicle subsystem template.
virtual bool | HasTorqueConverter () const override
| Return true if a torque converter model is included.
virtual double | GetTorqueConverterSlippage () const override
| Return the value of slippage in the torque converter.
virtual double | GetTorqueConverterInputTorque () const override
| Return the input torque to the torque converter.
virtual double | GetTorqueConverterOutputTorque () const override
| Return the output torque from the torque converter.
virtual double | GetTorqueConverterOutputSpeed () const override
| Return the torque converter output shaft speed.
void | SetGearShiftLatency (double ml)
| Use this to define the gear shift latency, in seconds.
double | GetGearShiftLatency (double ml)
| Use this to get the gear shift latency, in seconds.
virtual double | GetOutputDriveshaftTorque () const override
| Return the transmission output torque on the driveshaft.
virtual double | GetOutputMotorshaftSpeed () const override
| Return the transmission output speed of the motorshaft.

## Protected Member Functions
virtual double | GetTransmissionBlockInertia () const =0
| Set inertia of the transmission block.
virtual double | GetIngearShaftInertia () const =0
| Inertias of the component ChShaft objects.
virtual double | GetMotorshaftInertia () const =0
| Inertia of the motorshaft (connection to engine).
virtual double | GetDriveshaftInertia () const =0
| Inertia of the driveshaft (connection to driveline).
virtual double | GetUpshiftRPM () const =0
| Upshift and downshift rotation speeds (in RPM).
virtual double | GetDownshiftRPM () const =0
virtual void | SetTorqueConverterCapacityFactorMap (std::shared_ptr< ChFunctionInterp > &map)=0
| Set the capacity factor map.
virtual void | SetTorqeConverterTorqueRatioMap (std::shared_ptr< ChFunctionInterp > &map)=0
| Set the torque ratio map.

## Member Function Documentation

## ◆ GetDriveshaftInertia()

virtual double chrono::vehicle::ChAutomaticTransmissionShafts::GetDriveshaftInertia | ( |  | ) | const
| protectedpure virtual

Inertia of the driveshaft (connection to driveline).

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

## ◆ GetIngearShaftInertia()

virtual double chrono::vehicle::ChAutomaticTransmissionShafts::GetIngearShaftInertia | ( |  | ) | const
| protectedpure virtual

Inertias of the component ChShaft objects.

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

## ◆ GetMotorshaftInertia()

virtual double chrono::vehicle::ChAutomaticTransmissionShafts::GetMotorshaftInertia | ( |  | ) | const
| protectedpure virtual

Inertia of the motorshaft (connection to engine).

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

## ◆ GetOutputDriveshaftTorque()

double chrono::vehicle::ChAutomaticTransmissionShafts::GetOutputDriveshaftTorque | ( |  | ) | const
| overridevirtual

Return the transmission output torque on the driveshaft.

This is the torque that is passed to the driveline subsystem, thus providing the interface between the powertrain and vehicle systems.

Implements chrono::vehicle::ChTransmission.

## ◆ GetOutputMotorshaftSpeed()

double chrono::vehicle::ChAutomaticTransmissionShafts::GetOutputMotorshaftSpeed | ( |  | ) | const
| overridevirtual

Return the transmission output speed of the motorshaft.

This represents the output from the transmision subsystem that is passed to the engine subsystem.

Implements chrono::vehicle::ChTransmission.

## ◆ GetTemplateName()

virtual std::string chrono::vehicle::ChAutomaticTransmissionShafts::GetTemplateName | ( |  | ) | const
| inlineoverridevirtual

Get the name of the vehicle subsystem template.

Implements chrono::vehicle::ChPart.

## ◆ GetTransmissionBlockInertia()

virtual double chrono::vehicle::ChAutomaticTransmissionShafts::GetTransmissionBlockInertia | ( |  | ) | const
| protectedpure virtual

Set inertia of the transmission block.

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

## ◆ GetUpshiftRPM()

virtual double chrono::vehicle::ChAutomaticTransmissionShafts::GetUpshiftRPM | ( |  | ) | const
| protectedpure virtual

Upshift and downshift rotation speeds (in RPM).

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

## ◆ HasTorqueConverter()

virtual bool chrono::vehicle::ChAutomaticTransmissionShafts::HasTorqueConverter | ( |  | ) | const
| inlineoverridevirtual

Return true if a torque converter model is included.

A ChAutomaticTransmissionShafts includes a torque converter model.

## ◆ SetTorqeConverterTorqueRatioMap()

virtual void chrono::vehicle::ChAutomaticTransmissionShafts::SetTorqeConverterTorqueRatioMap | ( | std::shared_ptr< ChFunctionInterp > & | map | ) |
| protectedpure virtual

Set the torque ratio map.

Specify torque ratio as a function of the speed ratio.

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

## ◆ SetTorqueConverterCapacityFactorMap()

virtual void chrono::vehicle::ChAutomaticTransmissionShafts::SetTorqueConverterCapacityFactorMap | ( | std::shared_ptr< ChFunctionInterp > & | map | ) |
| protectedpure virtual

Set the capacity factor map.

Specify the capacity factor as a function of the speed ratio.

Implemented in chrono::vehicle::AutomaticTransmissionShafts, chrono::vehicle::duro::Duro_AutomaticTransmissionShafts, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionShafts, chrono::vehicle::generic::Generic_AutomaticTransmissionShafts, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts, chrono::vehicle::jeep::Cherokee_AutomaticTransmissionShafts, chrono::vehicle::m113::M113_AutomaticTransmissionShafts, chrono::vehicle::marder::Marder_AutomaticTransmissionShafts, and chrono::vehicle::mrole::mrole_AutomaticTransmissionShafts.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/powertrain/ChAutomaticTransmissionShafts.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/powertrain/ChAutomaticTransmissionShafts.cpp